Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface SimpleFeatureCollection

All Superinterfaces:
  Attribute, ComplexAttribute, Feature, FeatureCollection, Property

    public interface SimpleFeatureCollection

extends FeatureCollection

A FeatureCollection which placed the following contraints on its contents.

1. It contains features implementing a single feature type.
2. It itself, contains no attributes.

Method Summary
`SimpleFeatureCollectionType` | `getFeatureCollectionType()` This is the same as getType(), this method is used for Java 1.4 applications.
`SimpleFeatureType` | `getMemberType()` Returns the single feature of allowed members of the collection.
`SimpleFeatureCollectionType` | `getType()` Restricted to SimpleFeatureCollectionType.

Methods inherited from interface FeatureCollection
`accepts, close, iterator, memberTypes, sort, subCollection`

Methods inherited from interface Feature
`getBounds, getCRS, getDefaultGeometry, getID, getUserData, putUserData, setCRS, setDefaultGeometry`

Methods inherited from interface ComplexAttribute
`associations, attributes, get, getDescriptor, getValue, setValue`

Methods inherited from interface Attribute
`nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### getType

    SimpleFeatureCollectionType getType()

  Restricted to SimpleFeatureCollectionType.

  Specified by:
    `getType` in interface `Attribute`
  Specified by:
    `getType` in interface `ComplexAttribute`
  Specified by:
    `getType` in interface `Feature`
  Specified by:
    `getType` in interface `FeatureCollection`
  Specified by:
    `getType` in interface `Property`
  Returns:
    SimpleFeatureCollectionType for this collection

### getFeatureCollectionType

    SimpleFeatureCollectionType getFeatureCollectionType()

  This is the same as getType(), this method is used for Java 1.4 applications.

  Returns:
    SimpleFeatureCollectionType for this collection

### getMemberType

    SimpleFeatureType getMemberType()

  Returns the single feature of allowed members of the collection.

  This method is simply convenience and is equivalent to :

       getType().getMemberType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.